import { CompressedValue, ContentCompressionPlugin } from "./ContentCompressionPlugin";
/**
 * The GZIP compression for content field.
 */
export declare class GzipContentCompressionPlugin extends ContentCompressionPlugin {
    constructor();
    canCompress(): boolean;
    canDecompress(value: CompressedValue): boolean;
    compress(initialValue: any): Promise<CompressedValue>;
    decompress(value: CompressedValue): Promise<any>;
}
